org.apache.jasper.compiler

## Class JarURLResource

- java.lang.Object
- - org.apache.jasper.compiler.JarURLResource

All Implemented Interfaces:
  JarResource

    public class JarURLResource
    extends Object
    implements JarResource

### Constructor Summary

Constructors
Constructor and Description
`JarURLResource(String jarUrl)`
`JarURLResource(URL jarURL)`

### Method Summary

Methods
`URL` `getEntry(String name)`
`JarFile` `getJarFile()`
`String` `getUrl()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JarURLResource

    public JarURLResource(URL jarURL)

#### JarURLResource

    public JarURLResource(String jarUrl)

### Method Detail

#### getJarFile

    public JarFile getJarFile()
                       throws IOException

Specified by:
  `getJarFile` in interface `JarResource`
Returns:
  The JarFile for this resource. A new instance of JarFile should be returned on each call.
Throws:
  `IOException`

#### getUrl

    public String getUrl()

Specified by:
  `getUrl` in interface `JarResource`
Returns:
  The URL of this resource. May or may not point to the actual Jar file.

#### getEntry

    public URL getEntry(String name)

Specified by:
  `getEntry` in interface `JarResource`
Returns:
  The URL for the entry within this resource.